import 'package:bloc_stream/bloc_stream.dart';
import 'package:test/test.dart';

class CounterBloc extends BlocStream<int> {
  @override
  int get initialValue => 0;

  void increment() {
    add(value + 1);
  }

  void decrement() {
    add(value - 1);
  }
}

void main() {
  group('CounterBloc', () {
    test('increments and decrements correctly', () {
      final counter = CounterBloc();
      assert(counter.value == 0);
      counter.increment();
      assert(counter.value == 1);
      counter.decrement();
      assert(counter.value == 0);
    });
  });
}
